# -*- coding: utf-8 -*-
from django.conf.urls import url, include
from django.utils.translation import ugettext_lazy as _
from django.views.generic.base import TemplateView

from project.views import SearchView, NewsletterSubscriptionView

urlpatterns = [
    url(_(r'^suche/'), SearchView.as_view(), kwargs={'search': True}, name='search'),
    url(r'^newsletter/subscription/$', NewsletterSubscriptionView.as_view(), name='newsletter_subscription'),
    url(r'^newsletter/subscription/success/$',
        TemplateView.as_view(template_name='project/newsletter/subscription.html'), kwargs={'success': True},
        name='newsletter_subscription_success'),

    url(_(r'^portal/'), include('portal.urls', namespace='portal')),
]
